static char Io_h[] = "$Header: io.h,v 44.3 84/07/25 20:12:18 pkl Exp $";

/*
 *	Copyright (C) 1983 by the Regents of University of California 
 *	All Rights Reserved.
 */

# include	<stdio.h>


/*
 *	Codes for input event words in input buffer
 *	They will be stored in the high order four bits.
 */

# define DELTA_TIME	((u_int)(0 << 12))
# define X_LOC		((u_int)(1 << 12))
# define Y_LOC		((u_int)(2 << 12))
# define BISTATE_ON	((u_int)(3 << 12))
# define BISTATE_OFF	((u_int)(4 << 12))
# define ABSOLUTE_TIME	((u_int)(5 << 12))

# define eventType(x)	((x) & (~0 << 12))

# define eventValue(x)	((x)  &  (1 << 12) - 1)



# define CursorWidth	16
# define CursorHeight	16


extern long	lseek(), xlseek(), xfseek();

extern void	beCursor(), checkInputEncoded(), checkInputUnencoded(),
		CloseWindow(),
		checkSignalAtTick(), getMouseCoordinates(),
		inputEvent(), OpenWindow(), OnSusp(), pollInput(),
		pollTimeSem(), setCursorLink(), setCursorToXY(),
		setMouseToXY(), setSuspend(), SunInitialize();


extern boolean	canSuspend(), copybits(), drawLoopXY(), scanCharacters();

extern boolean	AltoCursorLinked;
extern char	SnapName[];


extern boolean	EncodedKeyboard;
