static char *rcsId = "$Header: sigconv.c,v 41.1 84/03/14 20:14:17 pkl Exp $";

# include	"signal.h"

/*
 * Macros to convert to new 4.2 signal package
 *  Kevin Layer [Wed Jul 13 09:49:49 PDT 1983]
 *  Subroutinized by dmu.
 *  Sigsys() added by pkl.
 */

#define mask(s)	(1 << ((s)-1))
sigset(s, h)	{ return ((int)signal(s, h)); }
sigignore(s)	{ return ((int)signal(s, SIG_IGN)); }
sighold(s)	{ return ((int)sigblock(mask(s))); }
sigrelse(s)	{ return ((int)sigsetmask(sigblock(0) &~ mask(s))); }
sigsys(s, h)	{ return ((int)signal(s, h)); }
