Object subclass: #Person
	instanceVariableNames: 'parents spouse children name '
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Geneology'!


!Person methodsFor: 'access'!

children ^children!

name ^name!

spouse
	^spouse! !

!Person methodsFor: 'printing'!

printOn: aStream 
	"Append to the argument aStream a sequence of characters that identifies the receiver."


 	aStream nextPutAll: name! !

!Person methodsFor: 'initialization'!

initialize: aString

	parents _ Set new.
	children _ Set new.
	name _ aString! !

Person subclass: #Man
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Geneology'!


!Man methodsFor: 'printing'!

printOn: aStream
	aStream nextPutAll: 'Mr. '.
	super printOn: aStream! !

!Man methodsFor: 'relatives'!

wife
	^spouse! !

Person subclass: #Woman
	instanceVariableNames: 'maidenName '
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Geneology'!


!Woman methodsFor: 'printing'!

printOn: aStream
	aStream nextPutAll: 'Ms. '.
	super printOn: aStream! !

!Woman methodsFor: 'relatives'!

husband
	^spouse! !