!Collection methodsFor: 'private'!

growSize
	"Answer an amount by which the receiver should grow to make room for more elements (in response to the message 'grow').
	Changed by D. Ungar 8/15/83 to avoid becomes."

	self basicSize >= self maxSize ifTrue: [self error: 'unable to grow this collection'].
	^(self basicSize max: 2) * 3   min:  self maxSize - self basicSize! !
