static char cursor_h[] = "$Header: cursor.h,v 44.2 84/05/29 12:14:41 pkl Exp $ (Berkeley)";

/*
 *	Copyright (C) 1983 by the Regents of University of California 
 *	All Rights Reserved.
 */

/*
 *	Number of 16-bit words in a cursor bitMap.
 */

# define	cursorBitmapLength	16


/*
 *	Unrolled for() loop to increase efficiency.
 */

# define copyCursor(src, dst) \
	if (TRUE) {\
		register long	*_ccs, *_ccd;\
		\
		_ccs = (long *)src,  _ccd = (long *)dst;\
		*_ccd++ = *_ccs++,  *_ccd++ = *_ccs++;\
		*_ccd++ = *_ccs++,  *_ccd++ = *_ccs++;\
		*_ccd++ = *_ccs++,  *_ccd++ = *_ccs++;\
		*_ccd++ = *_ccs++,  *_ccd++ = *_ccs++;\
	}\
	else


/*
 *	Testing the validity of a window fd.
 */

# define	windowOpened(fd)	(fd >= 0)
# define	nullFd			-1

extern int		BSWindowFd;
extern struct pixwin	*BSPixwin;

void	setCursorChange(), cursorOn(), cursorOff(), ggcCursor(), 
	ReadCursor(), restoreCursor(), saveCursor(), WriteCursor();
